I posted at vbulletin.org about an issue I was having trying to install the lite version. But looking further I think I might want to get the premium version - though I want to make sure it will...